Subject: Re: posix threads (pthread32) undefined references
From: [email-masked] (Stipe Tolj)

30 Oct 1998 22:57:56 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Ben Elliston <[email-masked]>, Geoffrey Noer <[email-masked]>
Cc: Alex Madarasz <[email-masked]>, [email-masked],
        [email-masked], [email-masked]

> > % gcc create1.c -I.. -L.. -lpthread32
> > ../libpthread32.a(create.o)(.text+0x19a):create.c: undefined reference
> > to
> > `_beginthreadex'
> > ../libpthread32.a(exit.o)(.text+0xbe):exit.c: undefined reference to
> > `_endthreadex'
> > ../libpthread32.a(mutex.o)(.text+0x11e):mutex.c: undefined reference to
> > `TryEnterCriticalSection'
>
> Ah yes.  Are you using Windows 95 or NT?

I'm running Cygwin32 b19.3 (no EGCS, gcc from cdk.exe) on a Win98 box.

> There has been a recent discussion about why these aren't in Cygwin's
> library stubs and I'm not sure what the outcome was.  Anyone?

so why don't adding them, Geoffrey?!

Regards,
Stipe

--
Stipe Tolj <[email-masked]>
Cygwin32 Porting Project
Department of Economical Computer Science
University of Cologne, Germany
http://www-public.rz.uni-duesseldorf.de/~tolj

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".